kompendium
2.0.1

# FreeFormSchema

data class FreeFormSchema (nullable: Boolean ?, minProperties: Int ?, maxProperties: Int ?) : TypedSchema
Content copied to clipboard

## Functions

addDefault
Link copied to clipboard
open fun addDefault (default: Any ?): ComponentSchema
Content copied to clipboard
setDescription
Link copied to clipboard
open fun setDescription (description: String ): ComponentSchema
Content copied to clipboard

## Properties

additionalProperties
Link copied to clipboard
val additionalProperties : Boolean = true
Content copied to clipboard
default
Link copied to clipboard
open override val default : Any ? = null
Content copied to clipboard
description
Link copied to clipboard
open val description : String ?
Content copied to clipboard
maxProperties
Link copied to clipboard
val maxProperties : Int ? = null
Content copied to clipboard
minProperties
Link copied to clipboard
val minProperties : Int ? = null
Content copied to clipboard
nullable
Link copied to clipboard
open override val nullable : Boolean ? = null
Content copied to clipboard
type
Link copied to clipboard
open override val type : String
Content copied to clipboard